Create an incident Google Meet configuration

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/incidents/config/google-meet-configurationshttps://api.ap2.datadoghq.com/api/v2/incidents/config/google-meet-configurationshttps://api.datadoghq.eu/api/v2/incidents/config/google-meet-configurationshttps://api.ddog-gov.com/api/v2/incidents/config/google-meet-configurationshttps://api.us2.ddog-gov.com/api/v2/incidents/config/google-meet-configurationshttps://api.uk1.datadoghq.com/api/v2/incidents/config/google-meet-configurationshttps://api.datadoghq.com/api/v2/incidents/config/google-meet-configurationshttps://api.us3.datadoghq.com/api/v2/incidents/config/google-meet-configurationshttps://api.us5.datadoghq.com/api/v2/incidents/config/google-meet-configurations

Overview

Create a Google Meet configuration for incidents. This endpoint requires the incident_settings_write permission.

OAuth apps require the incident_settings_write authorization scope to access this endpoint.

Request

Body Data (required)

Google Meet configuration payload.

Expand All

Field

Type

Description

data [required]

object

Google Meet configuration data in a create request.

attributes [required]

object

Attributes for creating a Google Meet configuration.

allow_manual_meeting_creation [required]

boolean

Whether to allow manual meeting creation.

auto_summarize [required]

boolean

Whether to auto-summarize meetings.

relationships [required]

object

Relationships for a Google Meet configuration create request.

incident_type [required]

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

type [required]

enum

Google Meet configuration resource type. Allowed enum values: google_meet_configurations

{
  "data": {
    "attributes": {
      "allow_manual_meeting_creation": true,
      "auto_summarize": false
    },
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      }
    },
    "type": "google_meet_configurations"
  }
}

Response

Created

Response with a Google Meet configuration.

Expand All

Field

Type

Description

data [required]

object

Google Meet configuration data in a response.

attributes [required]

object

Attributes of a Google Meet configuration.

allow_manual_meeting_creation [required]

boolean

Whether manual meeting creation is allowed.

auto_summarize [required]

boolean

Whether meetings are auto-summarized.

created_at

date-time

Timestamp when the configuration was created.

modified_at [required]

date-time

Timestamp when the configuration was last modified.

id [required]

uuid

The configuration identifier.

relationships

object

Relationships for a Google Meet configuration.

created_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

incident_type

object

Relationship to an incident type.

data [required]

object

Relationship to incident type object.

id [required]

string

The incident type's ID.

type [required]

enum

Incident type resource type. Allowed enum values: incident_types

default: incident_types

last_modified_by_user

object

Relationship to user.

data [required]

object

Relationship to user object.

id [required]

string

A unique identifier that represents the user.

type [required]

enum

Users resource type. Allowed enum values: users

default: users

type [required]

enum

Google Meet configuration resource type. Allowed enum values: google_meet_configurations

included

[object]

Included related resources.

attributes

object

Attributes of user object returned by the API.

email

string

Email of the user.

handle

string

Handle of the user.

icon

string

URL of the user's icon.

name

string

Name of the user.

uuid

string

UUID of the user.

id

string

ID of the user.

type

enum

Users resource type. Allowed enum values: users

default: users

{
  "data": {
    "attributes": {
      "allow_manual_meeting_creation": true,
      "auto_summarize": false,
      "created_at": "2024-01-01T00:00:00.000Z",
      "modified_at": "2024-01-01T00:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "google_meet_configurations"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/incidents/config/google-meet-configurations" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "allow_manual_meeting_creation": true, "auto_summarize": false }, "relationships": { "incident_type": { "data": { "id": "00000000-0000-0000-0000-000000000000", "type": "incident_types" } } }, "type": "google_meet_configurations" } } EOF